PDFEmbeddedFileElement (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf.extensions

## Class PDFEmbeddedFileElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
    - - org.apache.fop.render.pdf.extensions.PDFEmbeddedFileElement

- All Implemented Interfaces:
    Cloneable

      public class PDFEmbeddedFileElement
      extends AbstractPDFExtensionElement

  Extension element for pdf:embedded-file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ELEMENT` name of element

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `attachment`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocalName()` Returns the local name (i.e.
    `protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object.
    `void` | `processNode(String elementName, Locator locator, Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
    `void` | `startOfNode()` Called after processNode() is called.

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final String ELEMENT

      name of element
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### startOfNode

          public void startOfNode()
                           throws FOPException

      Description copied from class: `FONode`
      Called after processNode() is called. Subclasses can do additional processing.
      Overrides:
        `startOfNode` in class `FONode`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### processNode

          public void processNode(String elementName,
                                  Locator locator,
                                  Attributes attlist,
                                  PropertyList propertyList)
                           throws FOPException

      Description copied from class: `FONode`
      Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
      Overrides:
        `processNode` in class `FONode`
      Parameters:
        `elementName` - element name (e.g., "fo:block")
        `locator` - Locator object (ignored by default)
        `attlist` - Collection of attributes passed to us from the parser.
        `propertyList` - the property list of the parent node
      Throws:
        `FOPException` - for errors or inconsistencies in the attributes

    - #### getLocalName

          public String getLocalName()

      Description copied from class: `FONode`
      Returns the local name (i.e. without namespace prefix) of the node
      Specified by:
        `getLocalName` in class `FONode`
      Returns:
        the local name of this node

    - #### instantiateExtensionAttachment

          protected ExtensionAttachment instantiateExtensionAttachment()

      Description copied from class: `AbstractPDFExtensionElement`
      Instantiates extension attachment object.
      Overrides:
        `instantiateExtensionAttachment` in class `AbstractPDFExtensionElement`
      Returns:
        extension attachment

Copyright © 2025 Apache Software Foundation. All rights reserved.